# Disable X11 tests as there is annoying interactive warning at padre start.
%global use_x11_tests 0

Name:           perl-Padre
Version:        0.84
Release:        3%{?dist}
Summary:        Perl Application Development and Refactoring Environment
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Padre/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PL/PLAVEN/Padre-%{version}.tar.gz
Source1:        padre.desktop
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  perl(Alien::wxWidgets) >= 0.46
BuildRequires:  perl(Capture::Tiny) >= 0.06
BuildRequires:  perl(Class::Adapter) >= 1.05
BuildRequires:  perl(Class::Inspector) >= 1.22
BuildRequires:  perl(Class::Unload) >= 0.03
BuildRequires:  perl(Class::XSAccessor) >= 1.05
BuildRequires:  perl(Class::XSAccessor::Array) >= 1.05
# Real version perl(Cwd) >= 3.2701 rounded
BuildRequires:  perl(Cwd) >= 3.28
BuildRequires:  perl(DBD::SQLite) >= 1.27
BuildRequires:  perl(DBI) >= 1.58
BuildRequires:  perl(Data::Dumper) >= 2.101
BuildRequires:  perl(Debug::Client) => 0.11
BuildRequires:  perl(Devel::Dumpvar) >= 0.04
BuildRequires:  perl(Devel::Refactor) >= 0.05
BuildRequires:  perl(Digest::MD5) >= 2.38
BuildRequires:  perl(Encode) >= 2.26
# perl(Exporter) at lib/Padre/Current.pm:88
BuildRequires:  perl(Exporter)
# perl(ExtUtils::Embed) because Padre build system supports win32.
BuildRequires:  perl(ExtUtils::Embed)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.56
BuildRequires:  perl(ExtUtils::Manifest) >= 1.56
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Copy::Recursive) >= 0.37
BuildRequires:  perl(File::Find::Rule) >= 0.30
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::HomeDir) >= 0.91
BuildRequires:  perl(File::Path) >= 2.08
BuildRequires:  perl(File::Remove) >= 1.42
BuildRequires:  perl(File::ShareDir) >= 1.00
# Real version perl(File::Spec) >= 3.2701 rounded
BuildRequires:  perl(File::Spec) >= 3.28
# Real version perl(File::Spec::Functions) >= 3.2701 rounded
BuildRequires:  perl(File::Spec::Functions) >= 3.28
# perl(File::Spec::Unix) at lib/Padre/Project/Perl/Temp.pm:8
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(File::Temp) >= 0.20
BuildRequires:  perl(File::Which) >= 1.08
BuildRequires:  perl(File::pushd) >= 1.00
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Format::Human::Bytes) >= 0.04
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(HTML::Entities) >= 3.57
BuildRequires:  perl(HTML::Parser) >= 3.58
# perl(HTTP::Cookies) at lib/Padre/Sync.pm:28
BuildRequires:  perl(HTTP::Cookies)
# perl(HTTP::Request) at lib/Padre/Task/LWP.pm:124
BuildRequires:  perl(HTTP::Request)
# perl(HTTP::Request::Common) at lib/Padre/Sync.pm:29
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(IO::Scalar) >= 2.110
BuildRequires:  perl(IO::Socket) >= 1.30
BuildRequires:  perl(IO::String) >= 1.08
BuildRequires:  perl(IPC::Open2)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(IPC::Run) >= 0.83
BuildRequires:  perl(JSON::XS) >= 2.29
# perl(lib) at Makefile.PL:7
BuildRequires:  perl(lib)
BuildRequires:  perl(List::MoreUtils) >= 0.22
BuildRequires:  perl(List::Util) >= 1.18
BuildRequires:  perl(Locale::Msgfmt) >= 0.15
BuildRequires:  perl(LWP) >= 5.815
# perl(LWP::UserAgent) at lib/Padre/Sync.pm:27
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build) >= 0.3603
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Manifest) >= 0.07
BuildRequires:  perl(Module::Refresh) >= 0.13
BuildRequires:  perl(Module::Starter) >= 1.50
BuildRequires:  perl(ORLite) >= 1.48
BuildRequires:  perl(Params::Util) >= 0.33
BuildRequires:  perl(Parse::ErrorString::Perl) >= 0.14
BuildRequires:  perl(Parse::ExuberantCTags) >= 1.00
BuildRequires:  perl(Pod::Abstract) >= 0.16
BuildRequires:  perl(Pod::Functions)
BuildRequires:  perl(Pod::POM) >= 0.17
BuildRequires:  perl(Pod::Perldoc) >= 3.15
# perl(Pod::Perldoc::ToPod) at lib/Padre/Browser/PseudoPerldoc.pm
BuildRequires:  perl(Pod::Perldoc::ToPod)
BuildRequires:  perl(Pod::Simple) >= 3.07
BuildRequires:  perl(Pod::Simple::XHTML) >= 3.04
# POD2 directory is used at run time (and test). Seem META.yml.
BuildRequires:  perl(POD2::Base) >= 0.043
BuildRequires:  perl(POSIX)
BuildRequires:  perl(PPI) >= 1.213
# perl(PPI::Document) at lib/Padre/Task/PPI.pm
BuildRequires:  perl(PPI::Document)
# perl(PPI::Dumper) at lib/Padre/Plugin/Devel.pm
BuildRequires:  perl(PPI::Dumper)
# perl(PPI::Transform) at lib/Padre/PPI/Transform.pm
BuildRequires:  perl(PPI::Transform)
BuildRequires:  perl(PPIx::EditorTools) >= 0.09
BuildRequires:  perl(PPIx::Regexp) >= 0.005
BuildRequires:  perl(Probe::Perl) >= 0.01
# perl(Scalar::Util) at lib/Padre.pm
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable) >= 2.15
BuildRequires:  perl(Template::Tiny) >= 0.11
BuildRequires:  perl(Test::Exception) >= 0.27
BuildRequires:  perl(Test::MockObject) >= 1.09
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::NoWarnings) >= 0.084
BuildRequires:  perl(Test::Script) >= 1.07
BuildRequires:  perl(Template::Tiny) >= 0.11
BuildRequires:  perl(Text::Balanced) >= 2.01
BuildRequires:  perl(Text::Diff) >= 0.35
BuildRequires:  perl(Text::FindIndent) >= 0.10
BuildRequires:  perl(Time::HiRes) >= 1.9718
BuildRequires:  perl(UNIVERSAL)
BuildRequires:  perl(URI)
BuildRequires:  perl(Wx) >= 0.91
# Perl(Wx::AUI) at lib/Padre/Wx.pm:21
BuildRequires:  perl(Wx::AUI)
# Perl(Wx::DND) at lib/Padre/Wx.pm:19
BuildRequires:  perl(Wx::DND)
# Perl(Wx::Event) at lib/Padre/Wx.pm:18
BuildRequires:  perl(Wx::Event)
# Perl(Wx::Html) at lib/Padre/Wx/HtmlWindow.pm
BuildRequires:  perl(Wx::Html)
# Perl(Wx::Locale) at lib/Padre/Wx.pm:22
BuildRequires:  perl(Wx::Locale)
BuildRequires:  perl(Wx::Perl::ProcessStream) >= 0.29
# Perl(Wx::Print) at lib/Padre/Wx/Printout.pm
BuildRequires:  perl(Wx::Print)
# Perl(Wx::RichText) at lib/Padre/Wx/Output.pm
BuildRequires:  perl(Wx::RichText)
# Perl(Wx::STC) at lib/Padre/Wx.pm:20
BuildRequires:  perl(Wx::STC)
BuildRequires:  perl(YAML::Tiny) >= 1.32
BuildRequires:  perl(threads) >= 1.71
BuildRequires:  perl(threads::shared) >= 1.33
BuildRequires:  perl(version) >= 0.80
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  perl(App::Prove)
# Parts of X Window System needed for tests to run:
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
BuildRequires:  font(:lang=en)
%endif

Requires:       perl(App::cpanminus) >= 0.9923
# perl(Capture::Tiny) at lib/Padre/Wx/Command.pm:160, version from META.yml
Requires:       perl(Capture::Tiny) >= 0.06
Requires:       perl(Class::Adapter) >= 1.05
Requires:       perl(Class::Inspector) >= 1.22
Requires:       perl(Class::Unload) >= 0.03
Requires:       perl(Class::XSAccessor) >= 1.05
Requires:       perl(Class::XSAccessor::Array) >= 1.02
# Real version perl(Cwd) >= 3.2701 rounded
Requires:       perl(Cwd) >= 3.28
Requires:       perl(DBD::SQLite) >= 1.27
Requires:       perl(DBI) >= 1.58
Requires:       perl(Data::Dumper)
Requires:       perl(Debug::Client) => 0.11
Requires:       perl(Devel::Dumpvar) >= 0.04
Requires:       perl(Devel::Refactor) >= 0.05
Requires:       perl(Digest::MD5) >= 2.38
Requires:       perl(Encode) >= 2.26
# perl(Exporter) at lib/Padre/Current.pm:88
Requires:       perl(Exporter)
Requires:       perl(ExtUtils::MakeMaker) >= 6.56
Requires:       perl(ExtUtils::Manifest) >= 1.56
Requires:       perl(File::Basename)
Requires:       perl(File::Copy)
Requires:       perl(File::Copy::Recursive) >= 0.37
Requires:       perl(File::Find::Rule) >= 0.30
Requires:       perl(File::Glob)
Requires:       perl(File::HomeDir) >= 0.91
Requires:       perl(File::Path) >= 2.08
Requires:       perl(File::Remove) >= 1.42
Requires:       perl(File::ShareDir) >= 1.00
# Real version perl(File::Spec) >= 3.2701 rounded
Requires:       perl(File::Spec) >= 3.28
# Real version perl(File::Spec::Functions) >= 3.2701 rounded
Requires:       perl(File::Spec::Functions) >= 3.28
# perl(File::Spec::Unix) at lib/Padre/Project/Perl/Temp.pm:8
Requires:       perl(File::Spec::Unix)
Requires:       perl(File::Temp) >= 0.20
Requires:       perl(File::Which) >= 1.08
Requires:       perl(File::pushd) >= 1.00
Requires:       perl(FindBin)
Requires:       perl(Format::Human::Bytes) >= 0.04
Requires:       perl(Getopt::Long)
Requires:       perl(HTML::Entities) >= 3.57
Requires:       perl(HTML::Parser) >= 3.58
# perl(HTTP::Cookies) at lib/Padre/Sync.pm:28
Requires:       perl(HTTP::Cookies)
# perl(HTTP::Request) at lib/Padre/Task/LWP.pm:124
Requires:       perl(HTTP::Request)
# perl(HTTP::Request::Common) at lib/Padre/Sync.pm:29
Requires:       perl(HTTP::Request::Common)
Requires:       perl(IO::Scalar) >= 2.110
Requires:       perl(IO::Socket) >= 1.30
Requires:       perl(IO::String) >= 1.08
Requires:       perl(IPC::Open2)
Requires:       perl(IPC::Open3)
Requires:       perl(IPC::Run) >= 0.83
Requires:       perl(JSON::XS) >= 2.29
Requires:       perl(List::MoreUtils) >= 0.22
Requires:       perl(List::Util) >= 1.18
# perl(LWP::UserAgent) at lib/Padre/Sync.pm:27
Requires:       perl(LWP::UserAgent)
Requires:       perl(Module::Build) >= 0.3603
Requires:       perl(Module::CoreList)
Requires:       perl(Module::Manifest) >= 0.07
Requires:       perl(Module::Refresh) >= 0.13
Requires:       perl(Module::Starter) >= 1.50
Requires:       perl(ORLite) >= 1.48
Requires:       perl(POSIX)
Requires:       perl(PPI) >= 1.213
Requires:       perl(PPIx::EditorTools) >= 0.09
Requires:       perl(PPIx::Regexp) >= 0.005
Requires:       perl(Params::Util) >= 0.33
Requires:       perl(Parse::ErrorString::Perl) >= 0.14
Requires:       perl(Parse::ExuberantCTags) >= 1.00
Requires:       perl(Pod::Abstract) >= 0.16
Requires:       perl(Pod::Functions)
Requires:       perl(Pod::Perldoc) >= 3.15
# perl(Pod::Perldoc::ToPod) at lib/Padre/Browser/PseudoPerldoc.pm
Requires:       perl(Pod::Perldoc::ToPod)
Requires:       perl(Pod::POM) >= 0.17
Requires:       perl(Pod::Simple) >= 3.07
Requires:       perl(Pod::Simple::XHTML) >= 3.04
# POD2 directory is used at run time (and test). Seem META.yml.
Requires:       perl(POD2::Base) >= 0.043
# perl(PPI::Document) lib/Padre/Task/PPI.pm
Requires:       perl(PPI::Document)
# perl(PPI::Dumper) at lib/Padre/Plugin/Devel.pm
Requires:       perl(PPI::Dumper)
# perl(PPI::Transform) at lib/Padre/PPI/Transform.pm
Requires:       perl(PPI::Transform)
Requires:       perl(Probe::Perl) >= 0.01
Requires:       perl(Readonly::XS) >= 1.05
# perl(Scalar::Util) at lib/Padre.pm
Requires:       perl(Scalar::Util)
Requires:       perl(Storable) >= 2.15
Requires:       perl(Template::Tiny) >= 0.11
Requires:       perl(Term::ReadLine)
Requires:       perl(Text::Balanced) >= 2.01
Requires:       perl(Text::Diff) >= 0.35
Requires:       perl(Text::FindIndent) >= 0.10
Requires:       perl(Time::HiRes) >= 1.9718
Requires:       perl(URI)
Requires:       perl(Wx) >= 0.91
# Perl(Wx::AUI) at lib/Padre/Wx.pm:21
Requires:       perl(Wx::AUI)
# Perl(Wx::DND) at lib/Padre/Wx.pm:19
Requires:       perl(Wx::DND)
# Perl(Wx::Event) at lib/Padre/Wx.pm:18
Requires:       perl(Wx::Event)
# Perl(Wx::Html) at lib/Padre/Wx/HtmlWindow.pm
Requires:       perl(Wx::Html)
# Perl(Wx::Locale) at lib/Padre/Wx.pm:22
Requires:       perl(Wx::Locale)
Requires:       perl(Wx::Perl::ProcessStream) >= 0.29
# Perl(Wx::Print) at lib/Padre/Wx/Printout.pm
Requires:       perl(Wx::Print)
# Perl(Wx::RichText) at lib/Padre/Wx/Output.pm
Requires:       perl(Wx::RichText)
# Perl(Wx::STC) at lib/Padre/Wx.pm:20
Requires:       perl(Wx::STC)
Requires:       perl(YAML::Tiny) >= 1.32
Requires:       perl(threads) >= 1.71
Requires:       perl(threads::shared) >= 1.33
Requires:       perl(version) >= 0.80
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Obsoletes:      perl-Wx-Perl-Dialog < 0.01
Provides:       perl-Wx-Perl-Dialog > 0.01
Provides:       padre = %{version}

# Remove too specific requires because of version rounding
%filter_from_requires /perl(File::Spec) >= 3.2701/d

# Remove underspecified dependencies
%filter_from_provides /perl(Padre::Config)\s*$/d
%filter_from_requires /^perl(Class::Inspector)$/

# Remove private moduiles
%filter_from_provides /^perl(ExtUtils::MakeMaker::_version)$/d
%filter_setup


%description
Padre is a text editor aimed to be an IDE for Perl.
The application maintains its configuration information
in a directory called .padre.


%prep
%setup -q -n Padre-%{version}

find share/{examples,templates} -type f \( -name '*.pl' -o -name '*.t' \) \
    -exec chmod 755 {} +


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# languages are in different format than %%find_lang expects
find ${RPM_BUILD_ROOT}%{perl_vendorlib}/auto/share/dist/Padre/locale/ \
    -type f -name '*.mo' | \
    sed 's|^'"$RPM_BUILD_ROOT"'||
        s|\(.*/\)\([^.]*\)\(\.mo\)$|%lang(\2) \1\2\3|' > %{name}.lang

# install logo of Padre into correct paths
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/{64x64,16x16}/apps/
install -m644 ./share/icons/padre/64x64/logo.png \
    $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/64x64/apps/padre.png
install -m644 ./share/icons/padre/16x16/logo.png \
    $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/padre.png
# install icon
desktop-file-install --vendor="fedora" \
--dir=$RPM_BUILD_ROOT/%{_datadir}/applications %{SOURCE1}

%{_fixperms} $RPM_BUILD_ROOT/*


%check
%if %{use_x11_tests}
    xinit /usr/bin/make -s test -- /usr/bin/Xvfb :666 |tee testing.TAP
    prove --exec cat testing.TAP
%else
    make test
%endif


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc Artistic Changes COPYING padre.yml README
# To omit %%{perl_vendorlib}/auto/share/dist/Padre/locale/* pulled by -f option
%dir %{perl_vendorlib}/auto
%dir %{perl_vendorlib}/auto/share
%dir %{perl_vendorlib}/auto/share/dist
%dir %{perl_vendorlib}/auto/share/dist/Padre
     %{perl_vendorlib}/auto/share/dist/Padre/doc
     %{perl_vendorlib}/auto/share/dist/Padre/examples
     %{perl_vendorlib}/auto/share/dist/Padre/icons
     %{perl_vendorlib}/auto/share/dist/Padre/languages
%dir %{perl_vendorlib}/auto/share/dist/Padre/locale
     %{perl_vendorlib}/auto/share/dist/Padre/padre-splash*
     %{perl_vendorlib}/auto/share/dist/Padre/ppm
     %{perl_vendorlib}/auto/share/dist/Padre/README.txt
     %{perl_vendorlib}/auto/share/dist/Padre/styles
     %{perl_vendorlib}/auto/share/dist/Padre/templates
     %{perl_vendorlib}/auto/share/dist/Padre/timeline
%{perl_vendorlib}/Padre*
%{_datadir}/applications/fedora-padre.desktop
%{_datadir}/icons/hicolor/16x16/apps/padre.png
%{_datadir}/icons/hicolor/64x64/apps/padre.png
%{_mandir}/man3/*
%{_bindir}/padre


%changelog
* Wed Apr 27 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.84-3
- install icons into correct path, should add icon into Activity for Gnome3

* Tue Mar 15 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.84-2
- 699569 add missing .desktop file

* Tue Mar 15 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.84-1
- update to 0.84
- remove clear section

* Wed Mar  2 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.82-1
- update to 0.82

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.80-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Petr Pisar <ppisar@redhat.com> - 0.80-1
- 0.80 spec
- Update dependencies and add Requires omitted by rpmbuild

* Mon Jan 17 2011 Petr Pisar <ppisar@redhat.com> - 0.78-1
- 0.78 bump
- (Build)Require POD2::Base (POD2 directory is used at run and test time.

* Thu Dec 09 2010 Petr Pisar <ppisar@redhat.com> - 0.76-1
- 0.76 bump

* Fri Nov 19 2010 Petr Pisar <ppisar@redhat.com> - 0.74-1
- 0.74 bump
- Fix templates file permission
- Mark translation files with %%lang macro
- Provide X11 server to run X11 tests (disable the tests for now as there is a
  bug preventing automation).

* Mon Oct 11 2010 Marcela Mašláňpvá <mmaslano@redhat.com> 0.72-2
- apply fix of spec from 633737

* Mon Oct 11 2010 Marcela Mašláňpvá <mmaslano@redhat.com> 0.72-1
- update and remove uncessary BR and R

* Tue Jun 22 2010 Petr Pisar <ppisar@redhat.com> - 0.64-1
- 0.64 bump
- Remove perl(File::Spec) >= 3.2701 requires because of version rounding

* Wed Jun  9 2010 Petr Pisar <ppisar@redhat.com> - 0.62-1
- 0.62 bump (bug #598539)
- Remove unversioned perl(Padre::Config) from provides
- Remove Win32::API patch

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.50-5
- Mass rebuild with perl-5.12.0

* Tue Feb  9 2010 Marcela Mašláňpvá <mmaslano@redhat.com> 0.50-4
- the patch will be needed because requires are automagically
  created and we really don't need win32::api

* Fri Feb  5 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.50-3
- use DESTDIR instead of PERL_INSTALL_ROOT
- remove patch, DESTDIR fixed it all

* Thu Jan 14 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.50-1
- update

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.32-1
- 492937 perl-Wx-Perl-Dialog became part of Padre
- update to the latest version

* Wed Mar 04 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.28-1
- Specfile autogenerated by cpanspec 1.78 again because Padre was
 rewritten and many requirement were changed.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.20-1
- update to 0.20, switch off check of Wx, because unset DISPLAY
     in rpmbuild. V0.21 wasn't package because same problem
     somewhere else in code.

* Tue Nov 18 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.16-1
- update to 0.16

* Mon Nov  3 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.14-1
- update to 0.14
- add new requires
- remove patch for handling ORLite, with updated ORLite it's ok

* Fri Oct 10 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-4
- move templates into _datadir

* Fri Oct 10 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-3
- add desktop file

* Fri Oct 10 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-2
- fix review
- example and test files should have permission 644
- desktop file is missing in upstream version

* Fri Oct 03 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-1
- Specfile autogenerated by cpanspec 1.77.

